; AutoIt Version: 3.3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         yanni
;memory manager for k-meleon

#NoTrayIcon
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#include <Array.au3>
#Include <string.au3>

If $CmdLine[0]=0 Then
dispmem()
ElseIf $CmdLine[0]=2 Then
memmonitor()
Else
pendrel()
EndIf

Func pendrel()
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
If $memkb<28000 Then
noneed()
Else
release()
EndIf
EndFunc

Func noneed()
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
;MsgBox(0,"Memory Usage: ", $getmem)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("No memory release required:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("No memory release required:  " & $vis3)
EndIf
$memnoneed = GUICreate("km noneed", 220, 27, -1, -1, BitOR($WS_DLGFRAME, $WS_POPUP, $WS_EX_TOPMOST))
$label = GUICtrlCreateLabel($vis4, 15, 6, 210, 20)
GUISetState(@SW_SHOW)
WinSetOnTop("km noneed", "", 1)
While 1
$msg = GUIGetMsg()
sleep(5888)
GUIDelete()
ExitLoop
WEnd
EndFunc

Func dispmem()
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
EndIf
;MsgBox(0,"Memory Usage: ", $count)
$memdisp = GUICreate("km memory", 171, 27, -1, -1, BitOR($WS_DLGFRAME, $WS_POPUP, $WS_EX_TOPMOST))
$label = GUICtrlCreateLabel($vis4, 15, 6, 210, 20)
GUISetState(@SW_SHOW)
WinSetOnTop("km memory", "", 1)
While 1
$msg = GUIGetMsg()
sleep(5488)
GUIDelete()
ExitLoop
WEnd
EndFunc

Func release()
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$premem= _ArrayMin($kmmem , 0, 0)
$count=StringLen($getmem)
If $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vispre=($vis1 & "," & $vis2)
$visiniti=("Memory usage:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vispre=($vis1 & "," & $vis2)
$visiniti=("Memory usage:  " & $vis3)
EndIf
;MsgBox(0,"Memory Usage: ", $count)
$memdisp = GUICreate("km memory", 171, 27, -1, -1, BitOR($WS_DLGFRAME, $WS_POPUP, $WS_EX_TOPMOST))
$label = GUICtrlCreateLabel($visiniti, 15, 6, 210, 20)
GUISetState(@SW_SHOW)
WinSetOnTop("km memory", "", 1)
;BlockInput(1)
WinActivate("[CLASS:KMeleon Browser Window]")
$size = WinGetPos("[CLASS:KMeleon Browser Window]")
;MsgBox(0, "Active window stats (x,y,width,height):", $size[0] & " " & $size[1] & " " & $size[2] & " " & $size[3])
$maintitle=WinGetTitle("[CLASS:KMeleon Browser Window]")
If $memkb<35000 Then
$t=1888
else
$t=3888
EndIf
sleep(50)
;$x1=$size[0] + $size[2]
;$x=$x1 - 51
;$y=$size[1] + 8
;MouseMove( $x, $y)
;MouseClick("left")
Send("!{SPACE}")
Send("{UP 3}")
Send("{ENTER}")

WinSetTitle ("[CLASS:KMeleon Browser Window]", "", "releasing memory..please wait.")
While 1
$msg = GUIGetMsg()
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep($t)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Releasing Memory:  " & $vis3)
EndIf
GUICtrlSetData ($label, $vis4)
sleep(444)
WinSetState("[CLASS:KMeleon Browser Window]", "",@SW_RESTORE )
;BlockInput(0)
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$visrel=($vis1 & "," & $vis2)
$visfin=("Memory usage:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$visrel=($vis1 & "," & $vis2)
$visfin=("Memory usage:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$visrel=($vis1 & "," & $vis2)
$visfin=("Memory usage:  " & $vis3)
EndIf
WinSetTitle ("[CLASS:KMeleon Browser Window]", "", "memory release complete.")
GUICtrlSetData ($label, $visfin)
$postmem= _ArrayMin($kmmem , 0, 0)
sleep(4000)
WinSetTitle ("[CLASS:KMeleon Browser Window]", "", $maintitle)
$calculate=$premem - $postmem
$countcalc=StringLen($getmem)
$calckb=($calculate / 1024)
If $countcalc=7 Then
$vis1=StringLeft ($calckb, 1 )
$vis2=StringRight ($calckb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$viscalc=("Memory released:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($calckb, 2 )
$vis2=StringRight ($calckb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$viscalc=("Memory released:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($calckb, 3 )
$vis2=StringRight ($calckb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$viscalc=("Memory released:  " & $vis3)
EndIf
GUICtrlSetData ($label, $viscalc)
sleep(4000)
;MsgBox(4096, "Test", $calculate)
Return
WEnd
EndFunc

Func memmonitor()
Opt("GUIOnEventMode", 1)
;MsgBox(4096, "Test", "pending pending")
$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
EndIf
$monitor = GUICreate("kmmem monitor", 190, 24, 0, 48, BitOR($WS_DLGFRAME, $WS_POPUP, $WS_EX_TOPMOST))
$Label = GUICtrlCreateLabel($vis4, 8, 4, 140, 15)
$ende = GUICtrlCreateButton("<", 170, 4, 16, 16, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
GUICtrlSetOnEvent($ende, "CLOSE")
GUISetState(@SW_SHOW)
WinSetOnTop("kmmem monitor", "", 1)
While ProcessExists("k-meleon.exe")

$kmmem = ProcessGetStats("k-meleon.exe")
$getmem= _ArrayMin($kmmem , 0, 0)
$memkb=($getmem / 1024)
$count=StringLen($getmem)
If $count=7 Then
$vis1=StringLeft ($memkb, 1 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=8 Then
$vis1=StringLeft ($memkb, 2 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
ElseIf $count=9 Then
$vis1=StringLeft ($memkb, 3 )
$vis2=StringRight ($memkb, 3 )
$vis3=($vis1 & "," & $vis2 & "  KB")
$vis4=("Memory usage:  " & $vis3)
EndIf
sleep(1488)
GUICtrlSetData ($label, $vis4)
 Wend
EndFunc

Func CLOSE()
GUIdelete()
exit
EndFunc